function abs_freeOnTop(margintop,mainid,primid,secid,thirdid) {
  /*
   * Diese Funktion muss als onload-Event ausgeführt werden.
   * Mithilfe der function addLoadEvent(func) wird diese Funktion entweder einem bereits
   * vorhandenen onload-Event angehängt oder separat als onload-Event ausgeführt.
   * marginTop: wird für die Spaltendivs als default-Wert verwendet, d.h. sie werden nach unten verschoben > Freiraum für abs. positionierte Elemente
   * marginTop kann für die einzelnen Spalten IDs geändert werden, indem man der ID ^neuerWert anhängt, z.B. "primary^120px"
   * mainid: Parent-DIV (normalerweise der DIV-Container, der die Spalten-DIV-Containern umfasst
   * primid, secid, thirdid: zugehörige Spalten-DIVs. Wenn das Layout nur 2 Spalten hat, wird für thirdid "" übergeben,
   * wenn das Layout nur 1 Spalte hat, wird auch für secid "" übergeben.
  */
  var idary;
   //Verschieben des Buchungsformulars soll unsichtbar sein (1.Zeile "hidden" und letzte Zeile "visible")
  if ((mainid!="")&&(document.getElementById(mainid))) document.getElementById(mainid).style.visibility="hidden";
  if ((mainid!="")&&(document.getElementById(mainid))) document.getElementById(mainid).style.position="relative";
  if (primid!="") {
    idary=primid.split("^");
    if ((idary.length==2)&&(document.getElementById(idary[0]))) {document.getElementById(idary[0]).style.marginTop=idary[1];}
    else if (document.getElementById(primid)) {document.getElementById(primid).style.marginTop=margintop;}
  }
  if (secid!="") {
    idary=secid.split("^");
    if ((idary.length==2)&&(document.getElementById(idary[0]))) {document.getElementById(idary[0]).style.marginTop=idary[1];}
    else if (document.getElementById(secid)) {document.getElementById(secid).style.marginTop=margintop;}
  }
  if (thirdid!="") {
    idary=thirdid.split("^");
    if ((idary.length==2)&&(document.getElementById(idary[0]))) {document.getElementById(idary[0]).style.marginTop=idary[1];}
    else if (document.getElementById(thirdid)) {document.getElementById(thirdid).style.marginTop=margintop;}
  }
  if ((mainid!="")&&(document.getElementById(mainid))) document.getElementById(mainid).style.visibility="visible";
}
/*
function addLoadEvent(func) {
  var oldonload = window.onload;
  if (typeof window.onload != 'function') {
    window.onload = func;
  } else {
    window.onload = function() {
      if (oldonload) {
        oldonload();
      }
      func();
    }
  }
}
*/
function addLoadEvent(func) {
  if (window.addEventListener)
    window.addEventListener("load", func, false);
  else if (window.attachEvent)
    window.attachEvent("onload", func);
  else { // fallback
    var old = window.onload;
    window.onload = function() {
      if (old) old();
      func();
    };
  }
}

function getPos(ele) {
//bestes Ergebnis
  var z=ele, x=0,y=0, c;
  while(z && !isNaN(z.offsetLeft) && !isNaN(z.offsetTop)) {       
    c = isNaN(window.globalStorage)?0:window.getComputedStyle(z,null);
    x += z.offsetLeft-z.scrollLeft+(c?parseInt(c.getPropertyValue('border-left-width'),10):0);
    y += z.offsetTop-z.scrollTop+(c?parseInt(c.getPropertyValue('border-top-width'),10):0);
    z = z.offsetParent;
  }
  return [x, y];
}

/*
function getPos(element) {
//gutes Ergebnis
  var xPosition = 0;
  var yPosition = 0;
  while(element) {
    xPosition += (element.offsetLeft - element.scrollLeft + element.clientLeft);
    yPosition += (element.offsetTop - element.scrollTop + element.clientTop);
    element = element.offsetParent;
  }
  return [xPosition, yPosition];
}

function getPos(ele) {
//schlechtestes Ergebnis
  var x=0;
  var y=0;
  while(true) {
    x += ele.offsetLeft;
    y += ele.offsetTop;
    if (ele.offsetParent === null){
      break;
    }
    ele = ele.offsetParent;
  }
  return [x, y];
}
*/

function scrollPosition() {
  var y;
  if (document.documentElement && document.documentElement.scrollTop) { // Explorer 6 Strict
    y = document.documentElement.scrollTop;
  }
  else if (document.body) { // all other Explorers
    y = document.body.scrollTop;
  }
  return y;
}
var prot_x, prot_yoffset, prot_h, prot_ifrcol, prot_verdunkeln;

function belbuchkal(x,yoffset,h,ifrcol,verdunkeln) {
  this.x=x; //Abstand vom linken Rand, z.B. 250
  prot_x=x;
  this.yoffset=yoffset; //zum Korrigieren der automatisch berechneten vertikalen Position, z.B. -20
  prot_yoffset=yoffset;
  this.h=h; //Höhe des Buchungskalenders, normalerweise immer 556;
  prot_h=h;
  if ((ifrcol.length > 0)&&(ifrcol.charAt(ifrcol.length - 1)!=';')) {ifrcol+=';';}
  this.ifrcol=ifrcol; //Hintergrundfarbe und Rand des IFrames, z.B. 'background-color:#ffffff;border:0px solid #909090;';
  prot_ifrcol=ifrcol;
  this.verdunkeln=verdunkeln; //Hintergrund verdunkeln? ja: true, nein: false
  prot_verdunkeln=verdunkeln;
}
belbuchkal.prototype.erstelle = function() {
  var removedunkel='';
  if (prot_verdunkeln) {
    var blurDiv = document.createElement('div');
    blurDiv.id = 'blurDiv';
    removedunkel='blurDiv.parentNode.removeChild(blurDiv);';
  }
  else {removedunkel='';}
  var buID='obs_buch_id';
  var y=0;
  var xcls=prot_x+608;
  var ycls=y-2;
  var clsID='obs_cls_id';
  var divh=prot_h+10;
  function belbuchen(url,benutzer,obj,pfadmitobs) {
    var ytop=scrollPosition();
    if (prot_verdunkeln) {
      blurDiv.style.cssText = 'z-index:99991; position:fixed; top:0; bottom:0; left:0; right:0; background:rgba(0,0,0,.5);';
      document.getElementsByTagName('body')[0].appendChild(blurDiv);
    }
    document.getElementById(clsID).src=pfadmitobs+'cls.png';
    splitRes=url.split("&");
    url=splitRes[0]+'&hoehe='+prot_h+'&'+splitRes[1];
    if (splitRes.length > 2) {url+='&'+splitRes[2];}
    adr=pfadmitobs+url;
    document.body.insertBefore(document.getElementById('obs_mainID'), document.body.firstChild);
    var ybuakt=ytop+prot_yoffset+'px';
    var yclsakt=ytop+prot_yoffset-2+'px';
    document.getElementById(buID).innerHTML=
     '<iframe src="'+adr+'" scrolling="no"'+
     'onload="document.getElementById(\''+clsID+'\').style.zIndex=99993;'+
           'document.getElementById(\''+buID+'\').style.zIndex=99992;'+
           'document.getElementById(\''+buID+'\').style.top=\''+ybuakt+'\';'+
           'document.getElementById(\''+clsID+'\').style.top=\''+yclsakt+'\';'+
           'document.getElementById(\''+buID+'\').style.visibility=\'visible\';'+
           'document.getElementById(\''+clsID+'\').style.visibility=\'visible\';'+
           'document.getElementById(\''+buID+'\').focus();" '+
     'style="width:615px;height:'+prot_h+'px;overflow:hidden;margin:5px;border:none;'+
     'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
  }
  document.write('<div id="obs_mainID" style="position:relative;">');
  document.write('<div id="'+buID+'" style="position:absolute;left:'+prot_x+'px;'+
    'top:'+y+'px;width:625px;height:'+divh+'px;visibility:hidden;overflow:hidden;'+prot_ifrcol+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  document.write('<img id="'+clsID+'" src="" alt=" " '+
     'style="position:absolute;left:'+xcls+'px;top:'+ycls+'px;cursor:pointer;margin-right:5px;margin-top:2px;visibility:hidden;" '+
     'onclick="document.getElementById(\''+buID+'\').style.visibility=\'hidden\';'+
               removedunkel+'document.getElementById(\''+clsID+'\').style.visibility=\'hidden\';">');
  document.write('<\/div>');

  if (window.addEventListener) {
    window.addEventListener("message", receiveMessage, false);
  }
  else {
    if (window.attachEvent) {
      window.attachEvent("onmessage", receiveMessage);
    }
  }
  function receiveMessage(event) {
    if (event.data.indexOf("Buchung.php?id=") < 0) {
      return;
    }
    splitErg=event.data.split("~");
    var pfadmitobs=splitErg[3].substring(0,splitErg[3].indexOf('/OBS/')+5);
    belbuchen(splitErg[0],splitErg[1],splitErg[2],pfadmitobs);
  }
};

function buchkal(obspfad,objekt,h,css_style,ifrcol,lan) {
  this.obspfad=obspfad; //Pfad_zum_Ordner_OBS OHNE 'http:// bzw. https://'
  this.objekt=objekt; //Objektname
  this.h=h; //Höhe des Buchungskalenders, normalerweise immer 556;
  if ((css_style.length > 0)&&(css_style.charAt(css_style.length - 1)!=';')) {css_style+=';';}
  this.css_style=css_style; //Folge von CSS-Anweisungen, z.B. "float: left;" oder "margin-left: 50px; margin-top: 20px;" oder "margin: 20px auto;"
  if ((ifrcol.length > 0)&&(ifrcol.charAt(ifrcol.length - 1)!=';')) {ifrcol+=';';}
  this.ifrcol=ifrcol; //Hintergrundfarbe und Rand des IFrames, z.B. 'background-color:#ffffff;border:0px solid #909090;';
  this.lan=lan; //Sprache
}
buchkal.prototype.erstelle = function() {
var lfdnr=0;
var matches=[];
var elems=document.getElementsByTagName("div");
for (var i=0; i<elems.length; i++) {
  if (elems[i].id.indexOf("obs_buch") == 0)
  matches.push(elems[i]);
}
lfdnr=matches.length+1;
var buID='obs_buch'+lfdnr;
var divh=this.h+10;
adr='//'+this.obspfad+'/OBS/Buchung.php?id=domizil@'+this.objekt+'&hoehe='+this.h+'&lan='+this.lan;
document.write('<div id="'+buID+'" scrolling="no" border="0" '+
  'style="'+this.css_style+'width:625px;height:'+divh+'px;display:block;overflow:hidden;'+this.ifrcol+
  'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
document.getElementById(buID).innerHTML='<iframe src="'+adr+'" scrolling="no" border="0" frameborder="0"'+
   'style="width:615px;height:'+this.h+'px;overflow:hidden;margin:1px 5px 5px 5px;border:none;'+
   'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
};

function belmini(obspfad,objekt,links,zeilen,spalten,css_style,lan,groesse) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.objekt=objekt; //Objektname
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  this.zeilen=zeilen; //Zeilen der Belegungsübersicht
  this.spalten=spalten; //Spalten der Belegungsübersicht
  if ((css_style.length > 0)&&(css_style.charAt(css_style.length - 1)!=';')) {css_style+=';';}
  this.css_style=css_style; //Folge von CSS-Anweisungen, z.B. "float: left;" oder "margin-left: 50px; margin-top: 20px;" oder "margin: 20px auto;"
  this.lan=lan; //'de-DE'
  this.groesse = typeof groesse !== 'undefined' ?  groesse : 0; //z.B. groesse=5: breite+=7*5; hoehe+=8*5
}
belmini.prototype.erstelle = function() {
  var ho=(142+8*this.groesse)*this.zeilen+1;
  var brows = navigator.userAgent.toLowerCase();
  if (brows.indexOf('msi')>-1) {
    var brokenstring=brows.split(';');
    brokenstring=brokenstring[1].split(' ');
    if (Number(brokenstring[2]) < 8) {
      ho=(147+8*this.groesse)*this.zeilen; //IE unter 8.0
    }
  }
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("mini_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='mini_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/miniTAB.php?id=domizil@'+this.objekt+'&groesse='+this.groesse+'&x='+this.spalten+'&y='+this.zeilen+'&links='+this.links+'&lan='+this.lan;
  var br=1+(149+7*this.groesse)*this.spalten;
  var divbr=br+10;
  var divho=ho+10;
  //die Hintergrundfarbe transparent kann mithilfe des css_style-Parameters überschrieben werden, z.B.: background-color:#ffffff !important;
  document.write('<div id="'+beID+'" scrolling="no" border="0" '+
  'style="'+this.css_style+'height:'+divho+'px;width:'+divbr+
  'px;overflow:hidden;background-color:transparent;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  document.getElementById(beID).innerHTML='<iframe src="'+belegsrc+
  '" scrolling="no" border="0" frameborder="0" style="width:'+br+'px;height:'+ho+
  'px;overflow:hidden;margin:5px;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
};

function multibel(obspfad,ofeld,anzahl,links,marg,br,css_style,lan) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.ofeld=ofeld; //'AppHaus,AppMuschel,AppSeestern,Wald' (ohne Leerstellen) oder Leerstring "" für alle Objekte
  this.anzahl=anzahl; //Anzahl der Objekte in ofeld oder Anzahl aller Objekte
  this.marg=marg; //interner margin für internen Rand
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  this.ho=55 + 2*this.marg + this.anzahl*18;
  this.br=br+2*marg;
  if ((css_style.length > 0)&&(css_style.charAt(css_style.length - 1)!=';')) {css_style+=';';}
  this.css_style=css_style; //Folge von CSS-Anweisungen, z.B. "float: left;" oder "margin-left: 50px; margin-top: 20px;" oder "margin: 20px auto;"
  this.lan=lan; //'de-DE'
}
multibel.prototype.erstelle = function() {
  //var ho=73 + this.anzahl*18;
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("obs_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='obs_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/belegung.php?id=domizil'+'&marg='+this.marg+'px'+'&links='+this.links+'&ofeld='+this.ofeld+'&lan='+this.lan;
  document.write('<div id="'+beID+'" scrolling="no" border="0" '+
  'style="'+this.css_style+'width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;background-color:#ffffff;border:none;'+
  'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  document.getElementById(beID).innerHTML='<iframe src="'+belegsrc+
  '" scrolling="no" border="0" frameborder="0" style="width:'+this.br+'px;height:'+this.ho+
  'px;overflow:hidden;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
};

function multibeldiv(obspfad,ofeld,anzahl,links,br,css_style,lan,marg) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.ofeld=ofeld; //'AppHaus,AppMuschel,AppSeestern,Wald' (ohne Leerstellen) oder Leerstring "" für alle Objekte
  this.anzahl=anzahl; //Anzahl der Objekte in ofeld oder Anzahl aller Objekte
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  if ((css_style.length > 0)&&(css_style.charAt(css_style.length - 1)!=';')) {css_style+=';';}
  this.css_style=css_style; //Folge von CSS-Anweisungen, z.B. "float: left;" oder "margin-left: 50px; margin-top: 20px;" oder "margin: 20px auto;"
  this.lan=lan; //'de-DE'
  this.marg = typeof marg !== 'undefined' ?  marg : 10; //interner margin für internen Rand
  this.ho=57 + 2*this.marg+this.anzahl*17;
  this.br=br + 2*this.marg;
}
multibeldiv.prototype.erstelle = function() {
  //var ho=74 + this.anzahl*17;
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("obs_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='obs_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/belegungdiv.php?id=domizil'+'&anzahl='+this.anzahl+'&top='+this.marg+'&left='+this.marg+'&links='+this.links+'&ofeld='+this.ofeld+'&lan='+this.lan;
  document.write('<div id="'+beID+'" scrolling="no" border="0" '+
  'style="'+this.css_style+'width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;background-color:#ffffff;border:none;'+
  'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  document.getElementById(beID).innerHTML='<iframe src="'+belegsrc+
  '" scrolling="no" border="0" frameborder="0" style="width:'+this.br+'px;height:'+this.ho+
  'px;overflow:hidden;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
};

function beljahr(obspfad,objekt,anzahl,top,left,umsatzmod,links,date,br,css_style,lan) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.objekt=objekt; //'Objektname'
  this.anzahl=anzahl; //Anzahl der Monate (Tabellenzeilen), die max. dargestellt werden, die anderen sind per Scrollbar ereichbar
  this.top=top; //Abstand der Jahresübersicht vom oberen Rand des internen DIV-Containers in px (margin-top)
  this.left=left; //Abstand der Jahresübersicht vom linken Rand des internen DIV-Containers in px (margin-left)
  //top=10 und left=10 ergibt einen 10px breiten Rahmen in der selben Hintergrundfarbe wie die Jahresübersicht
  if (umsatzmod=='') {umsatzmod='ums_taggenau';}
  this.umsatzmod=umsatzmod; //'ums_anreise': Einnahmen werden dem Monat zugerechnet, in dem der Anreisetag liegt
                              //'ums_abreise': Einnahmen werden dem Monat zugerechnet, in dem der Abreisetag liegt
                              //'ums_taggenau': Einnahmen werden anteilsmäßig den Monaten zugerechnet, die von der Buchung tangiert sind
                              //nur im Adminbereich aktiv
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  if (date=="") {this.date='';}   //der Kalender wird entsprechend der Einstellungen auf der Adminseite angezeigt
  else {this.date='&date='+date;} //'date=9-2013' bewirkt, dass der Kalender mit diesem Datum gestartet
  this.ho=57 + 2*this.top + this.anzahl*17;
  this.br=br + 2*this.left;
  if ((css_style.length > 0)&&(css_style.charAt(css_style.length - 1)!=';')) {css_style+=';';}
  this.css_style=css_style; //Folge von CSS-Anweisungen, z.B. "float: left;" oder "margin-left: 50px; margin-top: 20px;" oder "margin: 20px auto;"
  this.lan=lan; //'de-DE'
}
beljahr.prototype.erstelle = function() {
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("jahr_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='jahr_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/monTAB.php?id=domizil@'+this.objekt+'&anzahl='+this.anzahl+'&top='+this.top+'&left='+this.left+'&umsatzmode='+this.umsatzmode+'&links='+this.links+this.date+'&lan='+this.lan;
  document.write('<div id="'+beID+'" scrolling="no" border="0" '+
  'style="'+this.css_style+'width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;background-color:#ffffff;border:none;'+
  'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  document.getElementById(beID).innerHTML='<iframe src="'+belegsrc+
  '" scrolling="no" border="0" frameborder="0" style="width:'+this.br+'px;height:'+this.ho+
  'px;overflow:hidden;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
};

function abs_belmini(obspfad,objekt,links,zeilen,spalten,rd_x,rd_y,lan,groesse) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.objekt=objekt;
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame (js-belbuchclass erforderlich)
  this.zeilen=zeilen;
  this.spalten=spalten;
  if ((rd_x.length > 0)&&(rd_x.charAt(rd_x.length - 1)!=';')) {rd_x+=';';}
  if ((rd_y.length > 0)&&(rd_y.charAt(rd_y.length - 1)!=';')) {rd_y+=';';}
  this.rd_x=rd_x;
  this.rd_y=rd_y;
  this.lan=lan; //'de-DE'
  this.groesse = typeof groesse !== 'undefined' ?  groesse : 0; //z.B. groesse=5: breite+=7*5; hoehe+=8*5
}
abs_belmini.prototype.erstelle = function() {
  var ho=(142+8*this.groesse)*this.zeilen+1;
  var brows = navigator.userAgent.toLowerCase();
  if (brows.indexOf('msi')>-1) {
    var brokenstring=brows.split(';');
    brokenstring=brokenstring[1].split(' ');
    if (Number(brokenstring[2]) < 8) {
      ho=(147+8*this.groesse)*this.zeilen; //IE unter 8.0
    }
  }
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("mini_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  
  var belID='mini_bel'+lfdnr;
  var beID='mini_id'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/miniTAB.php?id=domizil@'+this.objekt+'&groesse='+this.groesse+'&x='+this.spalten+'&y='+this.zeilen+'&links='+this.links+'&lan='+this.lan;
  var br=1+(149+7*this.groesse)*this.spalten;
  var divbr=br+10;
  var divho=ho+10;
  document.write('<div id="'+belID+'" style="z-index:99990;position:absolute;overflow:hidden;'+this.rd_x+this.rd_y+'">');
  document.write('<div id="'+beID+'"'+
    'style="height:'+divho+'px;width:'+divbr+
    'px;margin:0px;overflow:hidden;background-color:transparent;border:none;'+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  var ihtml='<iframe scrolling="no" src="'+belegsrc+
    '" style="width:'+br+'px;height:'+ho+
    'px;overflow:hidden;margin:5px;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
  document.getElementById(beID).innerHTML=ihtml;
  document.write('<\/div>');
};

function abs_multibel(obspfad,ofeld,anzahl,links,marg,br,rd_x,rd_y,lan) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.ofeld=ofeld; //'AppHaus,AppMuschel,AppSeestern,Wald' (ohne Leerstellen) oder Leerstring "" für alle Objekte
  this.anzahl=anzahl; //Anzahl der Objekte in ofeld oder Anzahl aller Objekte
  this.marg=marg; //interner margin für internen Rand in px
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  this.ho=55 + 2*this.marg + this.anzahl*18;
  this.br=br + 2*this.marg;
  if ((rd_x.length > 0)&&(rd_x.charAt(rd_x.length - 1)!=';')) {rd_x+=';';}
  if ((rd_y.length > 0)&&(rd_y.charAt(rd_y.length - 1)!=';')) {rd_y+=';';}
  this.rd_x=rd_x; //Bsp.: left:5px oder right:20px
  this.rd_y=rd_y; //Bsp.: top:20px oder bottom:50px
  this.lan=lan; //'de-DE'
}
abs_multibel.prototype.erstelle = function() {
  //var ho=73 + this.anzahl*18;
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("obs_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='obs_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/belegung.php?id=domizil'+'&marg='+this.marg+'px'+'&links='+this.links+'&ofeld='+this.ofeld+'&lan='+this.lan;
  document.write('<div id="'+beID+'" style="z-index:99990;position:absolute;'+
    this.rd_x+this.rd_y+'width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;background-color:#ffffff;border:none;'+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing: content-box;"><\/div>');
  var ihtml='<iframe scrolling="no" src="'+belegsrc+
    '" style="margin:0px;width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;border:none;'+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing: content-box;"><\/iframe>';
  document.getElementById(beID).innerHTML=ihtml;
};

function abs_multibeldiv(obspfad,ofeld,anzahl,links,br,rd_x,rd_y,lan,marg) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.ofeld=ofeld; //'AppHaus,AppMuschel,AppSeestern,Wald' (ohne Leerstellen)
  this.anzahl=anzahl; //Anzahl der sichtbaren Objekte, die weiteren sind per Scrollbar erreichbar
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  if ((rd_x.length > 0)&&(rd_x.charAt(rd_x.length - 1)!=';')) {rd_x+=';';}
  if ((rd_y.length > 0)&&(rd_y.charAt(rd_y.length - 1)!=';')) {rd_y+=';';}
  this.rd_x=rd_x; //Bsp.: left:5px oder right:20px
  this.rd_y=rd_y; //Bsp.: top:20px oder bottom:50px
  this.lan=lan; //'de-DE'
  this.marg = typeof marg !== 'undefined' ?  marg : 10; //interner margin für internen Rand
  this.ho=57 + 2*this.marg+this.anzahl*17;
  this.br=br + 2*this.marg;
}
abs_multibeldiv.prototype.erstelle = function() {
  //var ho=74 + this.anzahl*17;
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("obs_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='obs_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/belegungdiv.php?id=domizil'+'&anzahl='+this.anzahl+'&top='+this.marg+'&left='+this.marg+'&links='+this.links+'&ofeld='+this.ofeld+'&lan='+this.lan;
  document.write('<div id="'+beID+'" style="z-index:99990;position:absolute;'+
    this.rd_x+this.rd_y+'width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;background-color:#ffffff;border:none;'+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  var ihtml='<iframe scrolling="no" src="'+belegsrc+
    '" style="margin:0px;width:'+this.br+'px;height:'+this.ho+
    'px;overflow:hidden;border:none;box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
  document.getElementById(beID).innerHTML=ihtml;
};

function abs_beljahr(obspfad,objekt,anzahl,top,left,umsatzmod,links,date,br,rd_x,rd_y,lan) {
  this.obspfad=obspfad; //'onbusys.de/100' (ohne 'http:// bzw. https://')
  this.objekt=objekt; //'Objektname'
  this.anzahl=anzahl; //Anzahl der Monate (Tabellenzeilen), die max. dargestellt werden, die anderen sind per Scrollbar ereichbar
  this.top=top; //Abstand der Jahresübersicht vom oberen Rand des internen DIV-Containers in px (margin-top)
  this.left=left; //Abstand der Jahresübersicht vom linken Rand des internen DIV-Containers in px (margin-left)
  //top=10 und left=10 ergibt einen 10px breiten Rahmen in der selben Hintergrundfarbe wie die Jahresübersicht
  this.umsatzmod=umsatzmod; //'ums_anreise': Einnahmen werden dem Monat zugerechnet, in dem der Anreisetag liegt
                            //'ums_abreise': Einnahmen werden dem Monat zugerechnet, in dem der Abreisetag liegt
                            //'ums_taggenau': Einnahmen werden anteilsmäßig den Monaten zugerechnet, die von der Buchung tangiert sind
                            //nur im Adminbereich aktiv
  this.links=links; //links: 0 > kein Buchungslink, 1 > Buchungslink für sep. Fenster, 2 > Buchungslink für IFrame
  if (date=="") {this.date='';}   //der Kalender wird entsprechend der Einstellungen auf der Adminseite angezeigt
  else {this.date='&date='+date;} //'date=9-2013' bewirkt, dass der Kalender mit diesem Datum gestartet
  this.ho=57 + 2*this.top + this.anzahl*17;
  this.br=br + 2*this.left;
  if ((rd_x.length > 0)&&(rd_x.charAt(rd_x.length - 1)!=';')) {rd_x+=';';}
  if ((rd_y.length > 0)&&(rd_y.charAt(rd_y.length - 1)!=';')) {rd_y+=';';}
  this.rd_x=rd_x; //Bsp.: left:5px oder right:20px
  this.rd_y=rd_y; //Bsp.: top:20px oder bottom:50px
  this.lan=lan; //'de-DE'
}
abs_beljahr.prototype.erstelle = function() {
  var lfdnr=0;
  var matches=[];
  var elems=document.getElementsByTagName("div");
  for (var i=0; i<elems.length; i++) {
    if (elems[i].id.indexOf("jahr_bel") == 0)
    matches.push(elems[i]);
  }
  lfdnr=matches.length+1;
  var beID='jahr_bel'+lfdnr;
  var belegsrc='//'+this.obspfad+'/OBS/monTAB.php?id=domizil@'+this.objekt+'&anzahl='+this.anzahl+'&top='+this.top+'&left='+this.left+'&umsatzmode='+this.umsatzmode+'&links='+this.links+this.date+'&lan='+this.lan;
  document.write('<div id="'+beID+'" style="z-index:99990;position:absolute;'+
    this.rd_x+this.rd_y+'width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;background-color:#ffffff;border:none;'+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/div>');
  var ihtml='<iframe scrolling="no" src="'+belegsrc+
    '" style="margin:0px;width:'+this.br+'px;height:'+this.ho+'px;overflow:hidden;border:none;'+
    'box-sizing:content-box;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;"><\/iframe>';
  document.getElementById(beID).innerHTML=ihtml;
};